@import 'variables'

.pad
  display flex
  flex-flow column nowrap
  height calc(100% - 135px)
  overflow hidden
  padding 0 0 72px
  position relative
  width 100%

  &-footer
    align-items center
    border 0
    bottom 0
    box-shadow 0 -3px 3px -3px $ruler
    display flex
    height 72px
    justify-content space-between
    left 0
    padding 0 63px 0 72px
    position absolute
    width calc(100% - 135px)

  &-title
    margin 72px 0 36px 27px

  &.emphasize &-title
    margin 18px 0 36px 27px

.dingus
  display block
  font-size 14px
  line-height 1.714
  margin 0 0 72px
  max-width 100%
  padding 1px 0 9px 27px
  width 8.5in

  &:focus
    outline 0

  &[contenteditable=true]:empty:before
    color $icon-dark
    content attr(data-placeholder)
    display inline-block
    font-size 14px
    line-height 1.714
    margin-top -5px

  &-control
    align-items center
    display flex
    justify-content center

    & button
      background-color $icon-mask-dark
      border-radius 50%
      height 36px
      width 36px

      &:focus
        outline 0

      & svg
        height 100%
        overflow none
        width 100%

    & ol
      align-items center
      background-color $icon-mask-light
      border-radius 5px
      display flex
      height 54px
      justify-content space-around
      width 150px

      & li
        height 36px
        width 36px

        &.selected
          background-color $icon-mask-dark
          border-radius 50%

        & svg
          height 100%
          width 100%

  &-dab-palette
    align-content center
    display flex
    flex-flow row wrap
    height 54px
    justify-content space-around
    margin 0
    width 8.5in

    &-item
      border 2px solid darkgrey
      border-radius 50%
      box-sizing border-box
      height 32px
      margin 2px
      overflow hidden
      width 32px

      & button
        height 100%
        width 100%

        &.pink
          background-color $dab-pink
        &.yellow
          background-color $dab-yellow
        &.red
          background-color $dab-red
        &.orange
          background-color $dab-orange
        &.green
          background-color $dab-green
        &.marine
          background-color $dab-marine
        &.blue
          background-color $dab-blue
        &.brey
          background-color $dab-brey
        &.brown
          background-color $dab-brown

  &-stat-report
    display flex
    flex-flow row nowrap
    justify-content space-around
    margin 0
    min-width 450px

    & li
      height 30px
      margin 0 4.5px
      max-width 30%

      & h3
        font-weight 500

      & data
        margin 0 0 0 4.5px

    & li:first-child
      margin 0 0 0 4.5px

    & li:last-child
      margin 0 4.5px 0 0
